Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 1427573005: [es6] Implement @@split subclassing. (Closed)

Created:
3 years, 8 months ago by Yang
Modified:
3 years, 8 months ago
Reviewers:
Dan Ehrenberg
CC:
v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[es6] Implement @@split subclassing. RegExp.prototye[@@split] is not yet implement to spec regarding creating new RegExp object with the SpeciesConstructor. R=littledan@chromium.org BUG=v8:4345 LOG=N Committed: https://crrev.com/9a569ec2c818e17fd2286459202b9fb5ba3d27af Cr-Commit-Position: refs/heads/master@{#31911}

Patch Set 1 #

Patch Set 2 : rebase #

Patch Set 3 : fix #

Patch Set 4 : rebase #

Patch Set 5 : re-rebase #

Patch Set 6 : update webkit test expectation #

Patch Set 7 : use TO_UINT32 #

Patch Set 8 : add comments #

Patch Set 9 : move test case #

Patch Set 10 : added test for name #

Total comments: 1

Patch Set 11 : use kMaxUint32 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+116 lines, -78 lines) Patch
M src/js/regexp.js View 1 2 3 4 5 6 7 8 9 10 3 chunks +74 lines, -1 line 0 comments Download
M src/js/string.js View 1 2 3 4 5 6 7 8 9 10 2 chunks +21 lines, -77 lines 0 comments Download
A test/mjsunit/harmony/string-split.js View 1 2 3 4 5 6 7 8 9 1 chunk +21 lines, -0 lines 0 comments Download

Messages

Total messages: 40 (18 generated)
Yang
3 years, 8 months ago (2015-11-04 09:46:29 UTC) #1
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1427573005/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1427573005/1
3 years, 8 months ago (2015-11-04 09:51:44 UTC) #4
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux64_asan_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux64_asan_rel/builds/9730) v8_presubmit on ...
3 years, 8 months ago (2015-11-04 09:52:41 UTC) #6
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1427573005/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1427573005/20001
3 years, 8 months ago (2015-11-04 09:54:20 UTC) #8
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_linux64_asan_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux64_asan_rel/builds/9733)
3 years, 8 months ago (2015-11-04 10:08:03 UTC) #10
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1427573005/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1427573005/40001
3 years, 8 months ago (2015-11-04 14:35:23 UTC) #12
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_presubmit on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_presubmit/builds/7410)
3 years, 8 months ago (2015-11-04 14:46:39 UTC) #14
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1427573005/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1427573005/60001
3 years, 8 months ago (2015-11-04 19:25:00 UTC) #16
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_android_arm_compile_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_android_arm_compile_rel/builds/9581) v8_linux_arm_rel on ...
3 years, 8 months ago (2015-11-04 19:26:04 UTC) #18
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1427573005/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1427573005/80001
3 years, 8 months ago (2015-11-04 20:00:15 UTC) #20
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_mac_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_mac_rel/builds/11529)
3 years, 8 months ago (2015-11-04 20:10:10 UTC) #22
Yang
On 2015/11/04 20:10:10, commit-bot: I haz the power wrote: > Dry run: Try jobs failed ...
3 years, 8 months ago (2015-11-04 20:20:07 UTC) #23
adamk
On 2015/11/04 20:20:07, Yang wrote: > On 2015/11/04 20:10:10, commit-bot: I haz the power wrote: ...
3 years, 8 months ago (2015-11-04 20:25:14 UTC) #24
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1427573005/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1427573005/100001
3 years, 8 months ago (2015-11-05 06:42:13 UTC) #26
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 8 months ago (2015-11-05 06:59:05 UTC) #28
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1427573005/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1427573005/120001
3 years, 8 months ago (2015-11-05 07:55:43 UTC) #30
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 8 months ago (2015-11-05 08:13:37 UTC) #32
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1427573005/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1427573005/140001
3 years, 8 months ago (2015-11-05 11:35:26 UTC) #34
Dan Ehrenberg
lgtm Looks correct to me, modulo issues that we've already discussed. https://codereview.chromium.org/1427573005/diff/180001/src/js/regexp.js File src/js/regexp.js (right): ...
3 years, 8 months ago (2015-11-05 21:18:48 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1427573005/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1427573005/200001
3 years, 8 months ago (2015-11-10 06:42:41 UTC) #38
commit-bot: I haz the power
Committed patchset #11 (id:200001)
3 years, 8 months ago (2015-11-10 07:00:30 UTC) #39
commit-bot: I haz the power
3 years, 8 months ago (2015-11-10 07:00:57 UTC) #40
Message was sent while issue was closed.
Patchset 11 (id:??) landed as
https://crrev.com/9a569ec2c818e17fd2286459202b9fb5ba3d27af
Cr-Commit-Position: refs/heads/master@{#31911}

Powered by Google App Engine
This is Rietveld 408576698